function onTalk()
	disableMovement()
	if getFlag("Nebula") then
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutDown")
	else
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutUp")
	end
	setFlag("Nebula", not getFlag("Nebula"))
	setFlag("Solar",false)
	setFlag("Vortex",false)
	setFlag("StarDust",false)
	wait(0.2)
	enableMovement()
end
